## falconpl 0.9.6.4

=== CMakeLists.txt ===
ADD_SUBDIRECTORY(core)
SET(falcon_DIR ${CMAKE_CURRENT_BINARY_DIR}/core/devtools)
ADD_SUBDIRECTORY(modules/feathers)
