## falconpl 0.9.6.5

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-##############################################################################
+#############################################################################
 # The Falcon Programming language
 #
 # CMake configuration file for Core falcon
@@ -6,29 +6,37 @@
 #
 # CONTROL VARIABLES:
 #
-# CMAKE_INSTALL_PREFIX - Installation directory
-# FALCON_FINAL_DEST - Target final destination, if different from
-#                    prefix, where Falcon will be finally installed.
-#                    If not given, will be defaulted to CMAKE_INSTALL_PREFIX
-# FALCON_BIN_DIR - Prefix for binary installation. Defaults to "bin"
-# FALCON_INC_DIR - Prefix for installation of include files.
-# FALCON_MAN_DIR - Prefix for installation of man files.
-# FALCON_LIB_DIR - Prefix for installation of archives and dynamic libraries
+# CMAKE_INSTALL_PREFIX - Installation prefix
+# FALCON_FINAL_DEST - Final destination (if != from prefix)
+# FALCON_BIN_DIR - Suffix for binary installation. Defaults to "bin"
+# FALCON_INC_DIR - Suffix for installation of include files.
+# FALCON_MAN_DIR - Suffix for installation of man files.
+# FALCON_LIB_DIR - Suffix for installation of archives and dynamic libraries
 #                  on UNIXes. Defaults to "lib".
-# FALCON_MOD_DIR - Prefix for installation of modules. Defaults to
+# FALCON_MOD_DIR - Suffix for installation of modules. Defaults to
 #                  $FALCON_LIB_DIR/falcon on UNICES, and bin/ on windows.
 # FALCON_SKIP_BISON - ON to avoid using bison.
 # FALCON_WITH_MANPAGES - ON to build and install man pages.
 # FALCON_MAN_DIR - Where manual pages are stored (below prefix)
-# DISABLE_RPATH  - Disable our detected settings for RPATH?
-#                  (should then use command line CMAKE_RPATH* variables)
-#
+# FALCON_DISABLE_RPATH  - Disable our detected settings for RPATH
+#                  (should then use command line CMAKE_*_RPATH variables)
+# FALCON_RPATH - Set RPATH or similar variables on the target systems.
+#
+# FALCON_WITH_FEATHERS=<dir> - Build also feathers as a part of this project.
+#                        Use the relative directory to describe where
+#                        Feathers are to be found.
 
 cmake_minimum_required(VERSION 2.6.2)
 project(Falcon_Core)
 
 option( FALCON_SKIP_BISON "Skip BISON to avoid recompiling grammar" ON )
-option( FALCON_WITH_MANPAGES "Build and install also manpages" OFF )
+
+if(WIN32)
+	option( FALCON_WITH_MANPAGES "Build and install also manpages" OFF )
+else()
+	# Manpages are mandatory on unix
+	option( FALCON_WITH_MANPAGES "Build and install also manpages" ON )
+endif()
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
@@ -114,14 +122,12 @@
   endif()
 endif()
 
+if(NOT FALCON_FINAL_DEST)
+   set(FALCON_FINAL_DEST ${CMAKE_INSTALL_PREFIX})
+endif()
+
 message( STATUS "Installation prefix: ${CMAKE_INSTALL_PREFIX}" )
-
-if (NOT FALCON_FINAL_DEST )
-   set( FALCON_FINAL_DEST "${CMAKE_INSTALL_PREFIX}" )
-   message( "Defaulting FALCON_FINAL_DESTINATION to ${FALCON_FINAL_DEST}" )
-else()
-   message( "setting FALCON_FINAL_DESTINATION=${FALCON_FINAL_DEST}" )
-endif()
+message( STATUS "Final destination prefix: ${FALCON_FINAL_DEST}" )
 
 if (NOT FALCON_LIB_DIR)
    set(FALCON_LIB_DIR lib)
@@ -147,6 +153,8 @@
       set(FALCON_MOD_DIR "${FALCON_LIB_DIR}/falcon")
    endif()
 endif()
+
+set(FALCON_APP_DIR ${FALCON_MOD_DIR}/apps)
 
 # for install(TARGETS .. ${FALCON_INSTALL_DESTINATIONS})
 set(FALCON_INSTALL_DESTINATIONS
@@ -166,18 +174,30 @@
    message( STATUS "Manual pages: ${FALCON_MAN_DIR}" )
 endif()
 
-option(DISABLE_RPATH "http://wiki.debian.org/RpathIssue" off)
-if(NOT DISABLE_RPATH)
+
+#Use specific falcon rpath if externally set
+if(FALCON_RPATH)
+   set ( _falcon_rpath ${FALCON_RPATH} )
+else()
+   set ( _falcon_rpath "${CMAKE_INSTALL_PREFIX}/${FALCON_LIB_DIR}" )
+endif()
+      
+option(FALCON_DISABLE_RPATH "http://wiki.debian.org/RpathIssue" off)
+if(NOT FALCON_DISABLE_RPATH)
   # Always find libfalcon_engine.so in build and install tree, without LD_LIBRARY_PATH.
   set(CMAKE_SKIP_BUILD_RPATH  false)
   set(CMAKE_BUILD_WITH_INSTALL_RPATH false)
-     # RPATH must always point to the final destination
-   # No matter if we installed directly there or in a temporary prefix
-   if(CMAKE_INSTALL_RPATH)
-      set(CMAKE_INSTALL_RPATH_USE_LINK_PATH true)
-   else()
-      set(CMAKE_INSTALL_RPATH "${FALCON_FINAL_DEST}/${FALCON_LIB_DIR}")
-      set(CMAKE_INSTALL_RPATH_USE_LINK_PATH true)
+  set(CMAKE_INSTALL_RPATH ${_falcon_rpath})
+  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH false) 
+  
+  # Apple equivalent to RPATH is called `install_name'
+  set(CMAKE_INSTALL_NAME_DIR ${_falcon_rpath})
+else()
+
+   #If a FALCON_RPATH is on, use it nevertheless
+   if(FALCON_RPATH)
+      set(CMAKE_INSTALL_RPATH ${_falcon_rpath})
+      set(CMAKE_INSTALL_NAME_DIR ${_falcon_rpath})
    endif()
 endif()
 
@@ -185,17 +205,49 @@
 # Subdirectories
 #
 
+#collect the include files in FALCON_HEADER
+add_subdirectory(include)
+#
 add_subdirectory(engine)
 add_subdirectory(clt)
 add_subdirectory(devtools)
 
-#also performs installation of the include directory
-add_subdirectory(include)
 
 # and man pages
 if (FALCON_WITH_MANPAGES)
    add_subdirectory(manpages)   
 endif()
+
+#########################################################################
+# Feathers?
+#
+
+if( FALCON_WITH_FEATHERS )
+   Message( STATUS "Adding FEATHERS to this build -- from ${FALCON_WITH_FEATHERS}" )
+
+   include( devtools/modfunctions.cmake )
+   
+   #Using temporary prefix to install things here.
+   set(Falcon_PREFIX "${CMAKE_INSTALL_PREFIX}")
+   set(Falcon_BINARY_DIR "${Falcon_PREFIX}/${FALCON_BIN_DIR}")
+   set(Falcon_LIBRARY_DIR "${Falcon_PREFIX}/${FALCON_LIB_DIR}")
+
+   set(Falcon_APP_DIR "${Falcon_PREFIX}/${FALCON_APP_DIR}")
+   set(Falcon_MOD_DIR "${Falcon_PREFIX}/${FALCON_MOD_DIR}")
+   set(Falcon_BIN_DIR "${Falcon_PREFIX}/${FALCON_BIN_DIR}")
+   set(Falcon_LIB_DIR "${Falcon_PREFIX}/${FALCON_LIB_DIR}")
+   set(Falcon_MAN_DIR "${Falcon_PREFIX}/${FALCON_MAN_DIR}")
+   set(Falcon_INC_DIR "${Falcon_PREFIX}/${FALCON_INC_DIR}")
+   set(Falcon_ARCH_DIR "${Falcon_PREFIX}/${FALCON_LIB_DIR}")
+
+   #this is the dir during build
+   list( APPEND Falcon_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/include" )
+   list( APPEND Falcon_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/include" )
+   list( APPEND Falcon_LIBRARIES falcon_engine)
+
+   add_subdirectory( ${FALCON_WITH_FEATHERS} binary_dir )
+endif()
+
 
 #########################################################################
 # Tests?
@@ -209,5 +261,5 @@
 
 # CMake generated information.  Is used by our falcon-config.cmake
 install(EXPORT falcon-core-targets
-  DESTINATION ${FALCON_MOD_DIR}/cmake
+  DESTINATION lib/falcon/cmake
 )
