=== core/devtools/CMakeLists.txt ===
--- 
+++ 
@@ -24,12 +24,13 @@
 # It supplies include paths, libraries (via falcon-core-targets.cmake)
 # and convenience MACROS.
 #
-message( "Configuring falcon-config.cmake" )
+message( "Configuring FalconConfig.cmake" )
 configure_file(
-  falcon-config.cmake.in
-  ${CMAKE_CURRENT_BINARY_DIR}/falcon-config.cmake
+  FalconConfig.cmake.in
+  ${CMAKE_CURRENT_BINARY_DIR}/FalconConfig.cmake
   @ONLY
 )
+
 
 ########################################################################
 # Install
@@ -50,6 +51,8 @@
               WORLD_READ WORLD_EXECUTE
 )
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/falcon-config.cmake
+install(FILES
+   ${CMAKE_CURRENT_BINARY_DIR}/FalconConfig.cmake
+   modfunctions.cmake
   DESTINATION ${FALCON_MOD_DIR}/cmake
 )
