=== core/engine/CMakeLists.txt ===
--- 
+++ 
@@ -95,11 +95,6 @@
     signals_win.cpp
   )
 endif()
-
-#####################################################################################
-# Including headers in the source list helps CMAKE to build better IDE project files.
-
-file(GLOB FALCON_HEADERS "../include/falcon/*.h" )
 
 #################
