=== modules/feathers/CMakeLists.txt ===
--- 
+++ 
@@ -3,21 +3,29 @@
 #
 # CMake configuration file for Feather modules
 ####################################################################
-cmake_minimum_required(VERSION 2.6.2)
+cmake_minimum_required(VERSION 2.8)
 PROJECT(Falcon_Feathers)
 
 # Find our Find*.cmake files 
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)
 
-find_package(falcon
+if( NOT Falcon_PREFIX )
+find_package(Falcon
    HINTS "$ENV{FALCON_ACTIVE_TREE}/*/*/cmake"
          "$ENV{FALCON_ACTIVE_TREE}/*/cmake"
          "$ENV{FALCON_ACTIVE_TREE}/cmake"
    REQUIRED)
+endif()
+
+include_directories(
+  ${PROJECT_SOURCE_DIR}/include
+  ${Falcon_INCLUDE_DIRS}
+)
 
 add_subdirectory(compiler)
 add_subdirectory(confparser)
 add_subdirectory(funcext)
+add_subdirectory(hash)
 add_subdirectory(json)
 add_subdirectory(logging)
 add_subdirectory(mxml)
