=== modules/feathers/compiler/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,6 @@
 #
 # CMake configuration file for module Compiler
 ####################################################################
-
-include_directories(
-  ${PROJECT_SOURCE_DIR}/include
-  ${falcon_INCLUDE_DIRS}
-)
 
 if(WIN32)
    set( SYS_RC compiler.rc )
