=== debian/changelog ===
falconpl (0.9.6.5-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) format.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 12 May 2010 14:41:47 +0200

falconpl (0.9.6.4-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 15 Mar 2010 07:02:32 +0100

falconpl (0.9.6.2-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Bump Standards.
  * Adjust debheper build-dependency to ease backporters' life.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 17 Feb 2010 19:08:03 +0100

falconpl (0.9.4.4-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/{compat,control,rules}: Switch to debhelper 7.
  * debian/control:
    - Bump Standards.
    - Add ${misc:Depends} macro to all Depends fields.
    - Move -dbg packages to debug section.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 05 Nov 2009 13:16:33 +0100

falconpl (0.9.4-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #412545).
  * debian/copyright:
    - Update copyright info.
    - Refers to the specific version of GPL that the package references.
  * debian/control:
    - Remove duplicate section field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 13 Aug 2009 08:11:46 +0200

falconpl (0.9.2-0ubuntu1) karmic; urgency=low

  * New upstream release. LP: #394602
  * Standards-Version is 3.8.2. No changes needed.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 05 Jul 2009 11:21:11 +0530

falconpl (0.9.1.8-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * debian/copyright: Replace (C) with © symbol.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 20 May 2009 15:07:30 +0200

falconpl (0.8.14.2-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release.
  * debian/watch: fix for the new tarballs location.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Fri, 26 Dec 2008 22:52:36 +0100

falconpl (0.8.14-0ubuntu1) jaunty; urgency=low

  * New upstream release.
  * Standards-Version is 3.8.0. No changes needed.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 15 Dec 2008 14:22:27 +0100

falconpl (0.8.10.2-0ubuntu1) intrepid; urgency=low

  * New upstream release with support for cmake 2.6, fixes FTBFS in
    Intrepid.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Fri, 13 Jun 2008 17:14:32 +0200

falconpl (0.8.10-0ubuntu1) intrepid; urgency=low

  * New upstream release
    - debian/copyright:
      + Updated to mention that falconpl is now dual-licensed under the
        GPL2+
  * debian/control:
    - Added missing shlibs:Depends to libfalcon-dev

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Thu, 05 Jun 2008 16:39:54 +0200

falconpl (0.8.8-0ubuntu2) hardy; urgency=low

  * debian/control:
    - s/shlib/shlibs/g (LP: #192001)

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 14 Feb 2008 19:13:09 -0600

falconpl (0.8.8-0ubuntu1) hardy; urgency=low

   * Initial release (LP: #174470)

 -- Giancarlo Niccolai <gc@falconpl.org>  Sat, 19 Jan 2008 00:06:23 +0100
