=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -rf devel/release devel/settings*
	dh_auto_clean

override_dh_auto_configure:

override_dh_auto_build:
	$(CURDIR)/build.sh -s -p $(CURDIR)/debian/tmp/usr -f /usr

override_dh_auto_install:
	$(CURDIR)/build.sh -i

override_dh_install:
	dh_install -plibfalcon-engine1 --sourcedir=debian/tmp
	dh_install -pfalconpl --sourcedir=debian/tmp
	dh_install -pfalconpl-dev --sourcedir=debian/tmp

override_dh_strip:
	dh_strip -plibfalcon-engine1 --dbg-package=libfalcon-engine1-dbg
	dh_strip -pfalconpl --dbg-package=falconpl-dbg
	dh_strip -pfalconpl-dev

override_dh_makeshlibs:
	dh_makeshlibs -plibfalcon-engine1 -V
